For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reading channel

GET /api/public/v1/channels/:id

This endpoint returns details of a particular channel by its ID.

Headers

Name
Value

Content-Type

application/vnd.api+json

Path Parameters

Name
Type
Description

id

string

Channel ID.

Response

{
  "data": {
    "id": "ace25dae-dc26-4fdc-9a7a-6561237f340b",
    "type": "channels",
    "attributes": {
      "address": "TUbpY2zUNFDcpacgNzoJczT4x8ctV2mmLn",
      "createdAt": "2026-05-26T09:44:53.750Z",
      "hostedPageUrl": "https://sandbox.txn.io/redirect?channel_id=ace25dae-dc26-4fdc-9a7a-6561237f340b&request_type=channel_hosted_page&zone=eu",
      "localCurrency": "TRY",
      "network": "ttrx:usdt",
      "networkCode": "ttrx:usdt",
      "networkName": "Tron (TRC20)",
      "payCurrency": "USDT",
      "reference": "docs-try-eur-example-001",
      "status": "enabled",
      "targetCurrency": "EUR",
      "updatedAt": "2026-05-26T09:44:53.750Z"
    },
    "relationships": {
      "targetAccount": {
        "data": {
          "id": "13a85b45-8543-41c7-b963-394d4ea128ae",
          "type": "accounts"
        }
      }
    }
  },
  "included": [
    {
      "id": "13a85b45-8543-41c7-b963-394d4ea128ae",
      "type": "accounts",
      "attributes": {
        "balance": "38345.55",
        "bankDepositAvailable": true,
        "bankReference": "BDR6421088115176062",
        "bankWithdrawalAvailable": true,
        "currencyCode": "EUR",
        "currencyType": "fiat",
        "label": "master",
        "master": true,
        "totalBalance": null,
        "transferAvailable": true
      },
      "relationships": {
        "company": { "meta": { "included": false } },
        "networks": { "meta": { "included": false } },
        "txnBankCredentials": { "meta": { "included": false } }
      }
    }
  ],
  "meta": {},
  "jsonapi": {
    "version": "1.0"
  }
}

Response Body

Name
Type
Description

data.id

string

Channel ID.

data.type

string

Always channels.

data.attributes.targetCurrency

string

Specifies the merchant’s currency account on the txn platform to which the deposit will be credited. Must be a tradable fiat or cryptocurrency listed on the Supported currencies page — display fiat currencies are not accepted.

data.attributes.localCurrency

string

Currency to display to end users, e.g. their local currency in which they hold a balance on the merchant’s platform. This field is optional and can be different from the targetCurrency value.

data.attributes.payCurrency

string

Crypto currency that customer must pay in. Refer to supported currencies.

data.attributes.address

string

Channel address.

data.attributes.networkCode

string

Payment network code. Refer to supported networks.

data.attributes.network

string

Alias for networkCode. Refer to supported networks.

data.attributes.networkName

string

Network name.

data.attributes.hostedPageUrl

string

Channel redirect URL hosted by Txn.

data.attributes.reference

string

The custom reference ID to tie the channel and its deposits to end-user who pays.

data.attributes.status

string

Channel status. Can be either enabled or disabled. If enabled, deposits get processed and credited to the merchant's account as normal. If disabled, deposits do not get credited to the merchant's account.

data.attributes.createdAt

string

Timestamp when a channel was created.

data.attributes.updatedAt

string

Timestamp when a channel was last updated.

data.relationships.targetAccount

object

Reference to the account the channel is credited to. The full account entity is returned in included[].

included[].type(accounts).attributes

object

The target account the channel payments are credited to. Includes standard account fields: currencyCode, balance, bankWithdrawalAvailable, bankDepositAvailable, transferAvailable, etc.

Last updated